Rails.application.routes.draw do
  post 'sessions/create', as: 'login', to: 'sessions#create'
  get 'sessions/destroy', as: 'logout', to: 'sessions#destroy'

  get 'recipes/new', as: 'new_recipe', to: 'recipes#new'
  post 'recipes/create', as: 'create_recipe', to: 'recipes#create'

  get 'recipes/edit/:id', as: 'edit_recipe', to: 'recipes#edit'
  put 'recipes/update', as: 'update_recipe', to: 'recipes#update'

  get 'recipes/show/:id', as: 'recipe', to: 'recipes#show'

  get 'recipes/index', as: 'recipes', to: 'recipes#index'

  get 'users/new', as: 'register', to: 'users#new'
  post 'users/create', as: 'create_user', to: 'users#create'

  get 'users/edit', as: 'profile', to: 'users#edit'
  put 'users/update', as: 'update_user', to: 'users#update'

  get 'users/show', as: 'user', to: 'users#show'

  get 'users/forgotten', as: 'forgotten', to: 'users#forgotten'

  resources :ingredients
  get 'say/hello'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
